--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
full_name: DataObjects::SQLError::new
is_singleton: true
name: new
params: (message, code = nil, sqlstate = nil, query = nil, uri = nil)
visibility: public
